Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class HeadingType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.HeadingType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class HeadingType

extends Object
implements Serializable

a heading is used to organise the content of a transaction among chapters or paragraphs.

Java class for headingType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="headingType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="confidentiality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}confidentialityType" minOccurs="0"/>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-HEADING" maxOccurs="unbounded"/>
             <choice maxOccurs="unbounded">
               <element name="heading" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}headingType"/>
               <element name="item" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}itemType"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
               <element name="lnk" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}lnkType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`HeadingType()`

Method Summary
`List<CDHEADING>` | `getCds()` Gets the value of the cds property.
`ConfidentialityType` | `getConfidentiality()` Gets the value of the confidentiality property.
`List<HeadingType>` | `getHeading()` Gets the value of the heading property.
`List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
`List<ItemType>` | `getItem()` Gets the value of the item property.
`List<LnkType>` | `getLnk()` Gets the value of the lnk property.
`List<TextType>` | `getText()` Gets the value of the text property.
`void` | `setConfidentiality(ConfidentialityType value)` Sets the value of the confidentiality property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeadingType

    public HeadingType()

Method Detail

### getConfidentiality

    public ConfidentialityType getConfidentiality()

  Gets the value of the confidentiality property.

  Returns:
    possible object is `ConfidentialityType`

### setConfidentiality

    public void setConfidentiality(ConfidentialityType value)

  Sets the value of the confidentiality property.

  Parameters:
    `value` - allowed object is `ConfidentialityType`

### getIds

    public List<IDKMEHR> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `IDKMEHR`

### getCds

    public List<CDHEADING> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDHEADING`

### getHeading

    public List<HeadingType> getHeading()

  Gets the value of the heading property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the heading property.

  For example, to add a new item, do as follows:

          getHeading().add(newItem);

  Objects of the following type(s) are allowed in the list `HeadingType`

### getItem

    public List<ItemType> getItem()

  Gets the value of the item property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the item property.

  For example, to add a new item, do as follows:

          getItem().add(newItem);

  Objects of the following type(s) are allowed in the list `ItemType`

### getText

    public List<TextType> getText()

  Gets the value of the text property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the text property.

  For example, to add a new item, do as follows:

          getText().add(newItem);

  Objects of the following type(s) are allowed in the list `TextType`

### getLnk

    public List<LnkType> getLnk()

  Gets the value of the lnk property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lnk property.

  For example, to add a new item, do as follows:

          getLnk().add(newItem);

  Objects of the following type(s) are allowed in the list `LnkType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.